/*
 *  tnvectortilerender.hpp
 *  tnvectortilerender
 *
 *  Created by isaret on 10/14/16.
 *  Copyright © 2016 THiNKNET. All rights reserved.
 *
 */

#ifndef tnvectortilerender_
#define tnvectortilerender_

/* The classes below are exported */
#pragma GCC visibility push(default)
#include <string>
#include <vector>
class TNGeoJsonLayerRender;
class TNVectorTileRenderImpl;
class TNVectorTileRender{
public:
    TNVectorTileRender(const char *mapnikPath,const char *fontsPath,const char *xmlPath);
    ~TNVectorTileRender();
    
    std::string renderVectorTile(int x,int y,int z,bool compression);
    void loadMapWithString(const char *str);
    
    int addLayerWithGeoJson(std::vector<TNGeoJsonLayerRender> list);
    void removeLayerWithSizeFromLast(int size);
private:
    TNVectorTileRenderImpl *render;
};

class TNGeoJsonLayerRender{
public:
    std::string name;
    std::string srs;
    std::string data;
    
};
#pragma GCC visibility pop
#endif
